# Uses of Interface
com.databricks.jdbc.telemetry.ITelemetryClient

Packages that use ITelemetryClient
Package
Description
com.databricks.jdbc.telemetry

## Uses of ITelemetryClient in com.databricks.jdbc.telemetry

Classes in com.databricks.jdbc.telemetry that implement ITelemetryClient
Modifier and Type
Class
Description
`class`
`NoopTelemetryClient`
`class`
`TelemetryClient`
Methods in com.databricks.jdbc.telemetry that return ITelemetryClient
Modifier and Type
Method
Description
`ITelemetryClient`
TelemetryClientFactory.`getTelemetryClient(IDatabricksConnectionContext connectionContext)`